.message .bubble {
  box-sizing: border-box;
  height: 100%;
  max-width: calc(100% - 4rem);
  overflow: visible;
}

.message.outgoing .bubble {
  float: right;

  border-radius: 0.3rem 0 0 0.3rem;

  background: #f5f5f5;
}

.message.incoming .bubble {
  float: left;

  border-radius: 0 0.3rem 0.3rem 0;

  background: #9ef2e7;
}

.message.error .bubble {
  background: #fedcdc;
}

.message.sending .bubble {
  color: #5f5f5f;
}

/* Message content */
.message .message-content {
  display: flex;
  align-items: center;
}

.message.outgoing .message-content {
  flex-direction: row-reverse;
}


/* Message Subject */
.message .message-subject {
  display: none;

  padding: 0.65rem 0;

  font-size: 1.4rem;
  font-style: italic;
  line-height: 1.7rem;

  background: rgba(51, 51, 51, 0.05);
}

.message.incoming .message-subject {
  padding-left: 4rem;
  padding-right: 1.5rem;

  border-top-right-radius: 0.3rem;
}

.message.outgoing .message-subject {
  padding-left: 1.5rem;
  padding-right: 4rem;

  border-top-left-radius: 0.3rem;
}

.message.has-subject .message-subject {
  display: block;
}


/* Message Body styles */
.message .message-body {
  flex: 1;
  padding: 1.5rem 1.5rem 1rem;
}

.message.incoming .message-body {
  padding-left: 0;
}

.message.outgoing .message-body {
  padding-right: 0;
}

.message .message-body a {
  color: #333;
  text-decoration: underline;
}

.message .message-body a:active {
  color: #ff4e00;
}

.message .message-body time {
  /* TODO: We might need to remove time element display: block in root.css */
  display: block;

  color: #000;
  font-size: 1.4rem;
  line-height: 2.3rem;
  opacity: 0.7;
}


/* Message status aside panel */
.message .message-status {
  float: none;

  /* We need to have height to show background */
  min-height: 3rem;
  width: 4rem;
  margin: 0;

  background: no-repeat center center / 3rem;
  z-index: auto;
}

.message.error .message-status {
  background-image: url('images/icons/exclamation.png');
}

.message.delivered .message-status {
  background-image: url('images/icons/deliveredtick.png');
}

.message.read .message-status {
  background-image: url('images/icons/message_read.png');
}

.message .message-status progress {
  display: none;

  margin: 0 auto;
}

.message.pending .message-status progress,
.message.sending .message-status progress {
  display: block;
}

.message.pending .message-status,
.message.sending .message-status {
  background: none;
}


/* Message download button */
.message .download {
  display: block;

  min-height: initial;
  width: auto;
  padding: 0;
  /* Eliminating container paragraph line-height */
  margin-top: -1rem;

  background: none;
  border: none;
  /* We're using border-bottom instead of just underline style as line is too
     close to the text and doesn't look similar to visual spec. */
  border-bottom: 1px solid #333;
  font-size: 1.8rem;
}

.message .download:active {
  border-color: #038282;
  color: #038282;
}

/* hide download button via css on expired messages */
.message.expired .download {
  display: none;
}

.message.pending .download {
  border-color: transparent;
}
